import { requests } from '@/service/api/index';
import globalConfig from '@/config/index';

import store from '@/store/index';
export default config => {
  const { createApp } = config;

  window.onload = async function() {
    try {
      // 获取用户企业id
      let loginUserRes = await requests('/api-auth/get-login-user-info', { requestProject: 'gic-web', f: 1 });
      let enterpriseId = loginUserRes.result.enterpriseId;
      store.commit('updateEnterpriseId', enterpriseId); // 更新企业id
      createApp();
    } catch (error) {
      // 未登录
      window.location.href = globalConfig.api + 'gic-web/';
    }
  };
};
